@import url('https://fonts.googleapis.com/css2?family=WindSong:wght@400;500&display=swap');

*{
    margin: 0;
    padding: 0;
}

:root {
    --rosa: #FF7D7D;
    --amarelo: #F4DD7D;
    --verde: #A8CF45;
}

body {
    font: normal 1rem 'Montserrat';

}

header {
    background: whitesmoke;
}

a {
    text-decoration: none;
    color: black;
}

a:hover {
    font-weight: bold;
    
}

/* Navegação */

header #navegacao, #banner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 2rem;
    width: 90%;
    margin: auto;
}

header #navegacao {
    border-bottom: 2px solid white;
}

header #navegacao #logo {
    display: flex;
    align-items: center;
}

header #navegacao #logo h1 {
    font: 400 3rem 'WindSong', cursive;
    padding-left: 2rem;
}

header #navegacao #logo h1:hover {
    text-shadow: 1px 1px 3px gray;
}

header #navegacao #menu ul li {
    display: inline;
    padding: 3rem;
   
}

/* Banner do header */

header #banner .txt-banner {
    font-size: 2.5rem;
}

header #banner .txt-banner .destaques:hover {
    /* escolho a cor do fundo */
    background: linear-gradient(to left, #FF7D7D, #F4DD7D, #A8CF45);
    /* faço um power clip no texto */
    -webkit-background-clip: text;
    /* deixo o preenchimento do texto transparente 
    sugestão do css-tricks:
    -webkit-text-fill-color: transparent; */
    color: transparent;
    
}
main #linguagens__programacao {
    display: flex;
    justify-content: space-around;
    text-align: center;
}

.html {
    width: 33%;
    padding: 3em;
    border-bottom: 5px solid orangered;
    background-color: orange;
}

.css {
    width: 33%;
    padding: 3em;
    border-bottom: 5px solid #004CE8;
    background-color: turquoise;
}

.js {
    width: 33%;
    padding: 3em;
    border-bottom: 5px solid darkgoldenrod;
    background-color: yellow;
}

/* Eu, Maria Mariella */

main #sobre {
    display: flex;
    background-color: whitesmoke;
    padding: 1em 3em;
    gap: 5em;
}

main .sobre__txt {
    width: 80%;
    margin: auto;

}

main .sobre__txt .ola {
    font-size: 3em;
}

main #sobre h1 {
    font-size: 10em;
}

main #sobre h1:hover {
    text-shadow: 1px 1px 3px gray;
}

